package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.BankCardMapper;
import com.ruoyi.system.domain.BankCard;
import com.ruoyi.system.service.IBankCardService;

/**
 * BankCardService业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-06
 */
@Service
public class BankCardServiceImpl extends ServiceImpl<BaseMapper<BankCard>,BankCard> implements IBankCardService
{
    @Autowired
    private BankCardMapper bankCardMapper;

    /**
     * 查询BankCard
     * 
     * @param id BankCard主键
     * @return BankCard
     */
    @Override
    public BankCard selectBankCardById(Long id)
    {
        return bankCardMapper.selectBankCardById(id);
    }

    /**
     * 查询BankCard列表
     * 
     * @param bankCard BankCard
     * @return BankCard
     */
    @Override
    public List<BankCard> selectBankCardList(BankCard bankCard)
    {
        return bankCardMapper.selectBankCardList(bankCard);
    }

    /**
     * 新增BankCard
     * 
     * @param bankCard BankCard
     * @return 结果
     */
    @Override
    public int insertBankCard(BankCard bankCard)
    {
        return bankCardMapper.insertBankCard(bankCard);
    }

    /**
     * 修改BankCard
     * 
     * @param bankCard BankCard
     * @return 结果
     */
    @Override
    public int updateBankCard(BankCard bankCard)
    {
        return bankCardMapper.updateBankCard(bankCard);
    }

    /**
     * 批量删除BankCard
     * 
     * @param ids 需要删除的BankCard主键
     * @return 结果
     */
    @Override
    public int deleteBankCardByIds(Long[] ids)
    {
        return bankCardMapper.deleteBankCardByIds(ids);
    }

    /**
     * 删除BankCard信息
     * 
     * @param id BankCard主键
     * @return 结果
     */
    @Override
    public int deleteBankCardById(Long id)
    {
        return bankCardMapper.deleteBankCardById(id);
    }
}
